# Directory Management

Endpoints to manage the providers in the developer's directory. Retrieve the schedulable entities currently in your directory with availability information, or submit a list of NPIs to determine which of those providers are already schedulable.

 - [GET /v1/schedulable_entities](https://api-docs.zocdoc.com/apis/schedulable-entities/getschedulableentities.md): Get the list of schedulable entities within the developer's Zocdoc directory (provider-locations, etc.) with availability information. NPIs can be used to search for providers in the /v1/providers end
 - [PUT /v1/schedulable_entities/overlaps](https://api-docs.zocdoc.com/apis/schedulable-entities/putschedulableentitiesoverlaps.md): Submit NPI overlaps to compare your provider directory with providers bookable on Zocdoc. Send real-time distribution status (`developer_app_state`), unverified addresses and other data required for j
